Skip to main content
GET
/
organizations
Get organization
curl --request GET \
  --url https://api.postflow.app/v1/organizations \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "owner_id": "<string>",
  "name": "<string>",
  "approval_workflow": 0,
  "guest_can_approve": true,
  "avatar": "<string>",
  "timezone": "<string>",
  "default_group_id": "<string>",
  "two_factor_required": true,
  "default_notify_assignee": true,
  "lock_approved_posts": true,
  "created_at": "2023-11-07T05:31:56Z",
  "socialAccountsLeft": 123,
  "totalConnectedSocialAccounts": 123,
  "subscriptionPlan": "solo",
  "default_fb_post_type": 1,
  "default_ig_post_type": 1,
  "default_li_post_type": 1,
  "default_tt_post_type": 1,
  "default_gb_post_type": 1,
  "default_yt_post_type": 1,
  "default_tw_post_type": 1,
  "default_th_post_type": 1,
  "users": [
    {
      "id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "inviter_id": "<string>",
      "organization_id": "<string>",
      "role": "owner",
      "is_client": true,
      "can_approve": true,
      "can_connect_account": true,
      "can_access_all_groups": true,
      "self_approval": true,
      "time_format_24": true,
      "week_start_day": 0,
      "date_format": 1,
      "color": 1,
      "avatar": "<string>",
      "invited_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "open_cu_links_in_app": false,
      "groupIds": []
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OrganizationData

id
string
required
owner_id
string
required

The ID of the user who created the organization

name
string
required
approval_workflow
enum<integer>
required

0 None
1 Loose
2 Strict

Available options:
0,
1,
2
guest_can_approve
boolean
required

Guests can approve a post using an external public link. Only for Loose approval workflow

avatar
string | null
required

URL to the profile image of the organization

timezone
string | null
required
default_group_id
string
required
two_factor_required
boolean
required

All organization members are required to set up two-factor authentication

default_notify_assignee
boolean
required

Send approval requests by default

lock_approved_posts
boolean
required

Changes made after approval will require new approval again

created_at
string<date-time> | null
required

The date the organization was created in PostFlow

socialAccountsLeft
integer
required

The number of social media accounts that can be connected based on the current subscription

totalConnectedSocialAccounts
integer
required

The total number of currently connected social accounts

subscriptionPlan
enum<string> | null
required

Current subscription plan of the organization

Available options:
solo,
brand,
business,
agency,
advanced
default_fb_post_type
enum<integer> | null
required

This post type will be preselected when you create a new post

1 Feed
2 Reel
3 Story
4 Carousel
5 PageCover

Available options:
1,
2,
3,
4,
5
default_ig_post_type
enum<integer> | null
required

1 Feed
2 Reel
3 Story

Available options:
1,
2,
3
default_li_post_type
enum<integer> | null
required

1 Normal
2 Poll
3 Carousel

Available options:
1,
2,
3
default_tt_post_type
enum<integer> | null
required

1 Video
2 ImageCarousel

Available options:
1,
2
default_gb_post_type
enum<integer> | null
required

1 Standard
2 Event
3 Offer

Available options:
1,
2,
3
default_yt_post_type
enum<integer> | null
required

1 Video
2 Shorts

Available options:
1,
2
default_tw_post_type
enum<integer> | null
required

1 Normal
2 Poll

Available options:
1,
2
default_th_post_type
enum<integer> | null
required

1 Normal
2 Poll

Available options:
1,
2
users
UserData · object[]

List of users in the organization.

Data on request, you must add users to the include parameter